from fcband.asymmband import AsymmBand
import sys
import numpy as np

#-- setup
band = AsymmBand.from_input(sys.argv[1])
band.xe_q0()                               
band.calc_band_param()                       
#-- print stuff
band.printstuff('header')
band.printstuff('geomgs')
band.printstuff('geomes')
band.printstuff('freq')
band.printstuff('dE')
band.printstuff('Q')                       
band.printstuff('bandparam')               
#-- print band
col12 = band.plot(mode='array', order=0)
col3 = band.plot(mode='array', order=-1)
bands = np.concatenate((col12, col3), axis=1)[:, (0, 1, 3)]
print '\n==== Unnormalized Bands ===='
print '%7s %16s %16s'%('E', 'abs(Gaussian)', 'abs(3rd-order)')
for row in bands:
    print '%7.4f % 16.4e % 16.4e'%(row[0], row[1], row[2])
